---
- hosts: localhost
  gather_facts: no
  connection: local
  tasks:
    - name: Import Variables via Tasks
      include_tasks:
        file: import_vars.yml

    - name: Install host python requirements
      pip:
        requirements: "{{ playbook_dir }}/requirements.txt"
        extra_args: --upgrade

    - name: Login to Docker Registry
      docker_login:
        registry: "{{ docker_registry_base }}"
        username: "{{ docker_registry_username }}"
        password: "{{ docker_registry_password }}"

    - name: Create toolchain container
      docker_container:
        name: destroy-toolchain
        image: "{{ docker_registry_base }}/xand-devops-toolchain:{{ toolchain_version }}"
        command: tail -f /dev/null

    - name: Add container to inventory
      add_host:
        name: destroy-toolchain
        ansible_host: destroy-toolchain
        ansible_connection: docker
        ansible_python_interpreter: /usr/bin/python3
        ansible_pipelining: yes
        groups:
          - destroy_cluster

- hosts: destroy_cluster
  tasks:
    - name: Import Variables via Tasks
      include_tasks:
        file: import_vars.yml

- hosts: destroy_cluster
  gather_facts: no
  roles:
    - role: cluster-destroy

- hosts: destroy_cluster
  tasks:
    - name: Destroy Terraform State Storage
      include_tasks:
        file: destroy/destroy_storage.yml

- hosts: localhost
  tasks:
    - name: Destroy host save dir and containers
      include_tasks:
        file: destroy/destroy_host_save_dir.yml
    - name: Destroy toolchain containers
      include_tasks:
        file: destroy/destroy_toolchain_containers.yml

- hosts: localhost
  gather_facts: no
  connection: local
  tasks:
    - name: Destroy destroy container
      docker_container:
        name: destroy-toolchain
        state: absent
        force_kill: yes
